Package oasis.names.tc.saml._1_0.assertion

# Class SubjectStatementAbstractType

java.lang.Object
oasis.names.tc.saml._1_0.assertion.StatementAbstractType
oasis.names.tc.saml._1_0.assertion.SubjectStatementAbstractType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AttributeStatement`, `AuthenticationStatement`, `AuthorizationDecisionStatement`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public abstract class SubjectStatementAbstractType extends StatementAbstractType implements Serializable

Java class for SubjectStatementAbstractType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SubjectStatementAbstractType">
       <complexContent>
         <extension base="{urn:oasis:names:tc:SAML:1.0:assertion}StatementAbstractType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}Subject"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubjectStatementAbstractType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Subject`
  `getSubject()`
  Gets the value of the subject property.
  `void`
  `setSubject(Subject value)`
  Sets the value of the subject property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SubjectStatementAbstractType

    public SubjectStatementAbstractType()

- ## Method Details

  - ### getSubject

    public Subject getSubject()
    Gets the value of the subject property.
    Returns:
      possible object is `Subject`

  - ### setSubject

    public void setSubject(Subject value)
    Sets the value of the subject property.
    Parameters:
      `value` - allowed object is `Subject`